CoCoA-5 - Bug #1383

NewPolyRing on MS Windows
07 Jan 2020 16:29 - John Abbott

Status: Closed Start date: 07 Jan 2020
Priority: Normal Due date:

Assignee: John Abbott % Done: 100%
Category: bug Estimated time: 0.99 hour
Target version: CoCoA-5.3.0 Spent time: 1.00 hour
Description

Bernhard Andraschko reports that the following causes a crash on MS Windows 10 Pro (10.0.17763)

define BernhardBug ()
S := NewPolyRing (RingQQ (), SymbolRange ("x",[1,1]1,103,3]1));
return S;

enddefine; —-- BernhardBug

BernhardBug () ;

Related issues:
Related to CoCoA-5 - Bug #1384: NewPolyRing and SymbolRange Closed 07 Jan 2020

History

#1 - 07 Jan 2020 16:31 - John Abbott

JAA says the bug is not present on current internal version of CoCoA-5 compiled and running on Linux.

The error message is produced by a failed BOOST assertion about a pointer being NULL when it should not be.
Bernhard will send more details in another comment.

#2 - 07 Jan 2020 16:32 - John Abbott

- Description updated

#3 - 07 Jan 2020 16:40 - John Abbott

- Description updated

#4 - 07 Jan 2020 16:42 - John Abbott
- Related to Bug #1384: NewPolyRing and SymbolRange added

#5 - 07 Jan 2020 21:59 - John Abbott

In any case we should add an example like this as a new "official" test.

#6 - 08 Jan 2020 01:02 - Bernhard Andraschko

The error code displayed after calling the function BernhardBug() is

assertion "px != 0" failed: file "/usr/include/boost/smart_ptr/intrusive_ptr.hpp", line 161, function: T*
t::intrusive_ptr<T>::operator->() const [with T = CoCoA::InterpreterNS::INT]

The problem is that NewPolyRing can't handel the output of SymbolRange and it appeared with any coefficient ring | tried.
Actually, after updating we found out that this seems to be fixed in CoCoA-5.2.5 (also on Windows). The bug only appeared in version 5.2.4.
#7 - 08 Jan 2020 09:19 - John Abbott
- Status changed from New to Resolved
- Assignee set to John Abbott

- % Done changed from 0 to 50

Can we now close this issue as it seems to be completely resolved using the latest release of CoCoA-5?
Anyway, a test should be added to exbugs.cocoab; perhaps | can do that. DONE checked into CVS.

Does the problem persist on Linux using the latest version?

#8 - 08 Jan 2020 09:37 - Bernhard Andraschko

According to Peter Mader it also works on Linux with this version, so | think we can close this thread.

#9 - 08 Jan 2020 15:03 - John Abbott

- Target version changed from CoCo0A-5.4.0 to CoCoA-5.3.0
- % Done changed from 50 to 90

- Estimated time set to 0.99 h

Both Bernhard and Peter confirm that everything is fine using the "interim" release 5.2.5; they did comment that the web site suggested that 5.2.4 is
"more reliable" than 5.2.5... in this case that advice is misleading!

Moving to Feedback.

#10 - 08 Jan 2020 16:08 - Anna Maria Bigatti

| confirm it works fine on MacOS.

#11 - 09 Jan 2020 11:25 - Anna Maria Bigatti

- Status changed from Resolved to Feedback
#12 - 13 Feb 2020 09:30 - Anna Maria Bigatti

- Status changed from Feedback to Closed
- % Done changed from 90 to 100
